diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 9327ed5e1c..590312dc2d 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -25288,16 +25490,16 @@ (define-public rust-jemalloc-sys-0.3
     (name "rust-jemalloc-sys")
     (version "0.3.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "jemalloc-sys" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0ify9vlql01qhfxlj7d4p9jvcp90mj2h69nkbq7slccvbhzryfqd"))
-        (modules '((guix build utils)))
-        (snippet
-         '(begin (delete-file-recursively "jemalloc") #t))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "jemalloc-sys" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0ify9vlql01qhfxlj7d4p9jvcp90mj2h69nkbq7slccvbhzryfqd"))
+       (modules '((guix build utils)))
+       (snippet
+        '(begin (delete-file-recursively "jemalloc") #t))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -25335,9 +25537,9 @@ (define-public rust-jemalloc-sys-0.1
        (sha256
         (base32
          "1bh07rlzgg39ys1lsgnpxgvjj6blagp2h17fx267d0g3a272rimz"))
-        (modules '((guix build utils)))
-        (snippet
-         '(begin (delete-file-recursively "jemalloc") #t))))))
+       (modules '((guix build utils)))
+       (snippet
+        '(begin (delete-file-recursively "jemalloc") #t))))))
 
 (define-public rust-jemallocator-0.3
   (package
@@ -25671,13 +25873,13 @@ (define-public rust-json-0.11
     (name "rust-json")
     (version "0.11.15")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "json" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1rg9jxf6bpbwis3ixd5ak8rp37him7n4z8awz4ssrxl6hyplbhlj"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "json" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1rg9jxf6bpbwis3ixd5ak8rp37him7n4z8awz4ssrxl6hyplbhlj"))))
     (build-system cargo-build-system)
     (arguments '(#:skip-build? #t))
     (home-page "https://github.com/maciejhirsz/json-rust")
@@ -25789,12 +25991,12 @@ (define-public rust-keccak-0.1
     (name "rust-keccak")
     (version "0.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "keccak" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32 "19ybbvxrdk9yy65rk7f5ad0hcxszkjwph68yzkj3954lnir1bhk7"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "keccak" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "19ybbvxrdk9yy65rk7f5ad0hcxszkjwph68yzkj3954lnir1bhk7"))))
     (build-system cargo-build-system)
     (arguments `(#:skip-build? #t))
     (home-page "https://crates.io/crates/keccak")
@@ -25807,13 +26009,13 @@ (define-public rust-kernel32-sys-0.2
     (name "rust-kernel32-sys")
     (version "0.2.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "kernel32-sys" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1389av0601a9yz8dvx5zha9vmkd6ik7ax0idpb032d28555n41vm"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "kernel32-sys" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1389av0601a9yz8dvx5zha9vmkd6ik7ax0idpb032d28555n41vm"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -25874,13 +26076,13 @@ (define-public rust-language-tags-0.2
     (name "rust-language-tags")
     (version "0.2.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "language-tags" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "16hrjdpa827carq5x4b8zhas24d8kg4s16m6nmmn1kb7cr5qh7d9"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "language-tags" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "16hrjdpa827carq5x4b8zhas24d8kg4s16m6nmmn1kb7cr5qh7d9"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -25902,14 +26104,14 @@ (define-public rust-lab-0.8
     (name "rust-lab")
     (version "0.8.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "lab" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1ysnbviwi35mq6xyz9c59mpgigyfp4s4y2mispxzrms4vk83bx15"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "lab" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1ysnbviwi35mq6xyz9c59mpgigyfp4s4y2mispxzrms4vk83bx15"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-development-inputs
@@ -25931,14 +26133,14 @@ (define-public rust-lab-0.7
     (name "rust-lab")
     (version "0.7.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "lab" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0g692d489lq01pv3mzfhxd98j0r22lw28l6bk112m74djlfzxdmw"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "lab" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0g692d489lq01pv3mzfhxd98j0r22lw28l6bk112m74djlfzxdmw"))))
     (arguments
      `(#:tests? #f  ; test suite assumes avx2 support
        #:cargo-development-inputs
@@ -25953,14 +26155,14 @@ (define-public rust-lab-0.4
     (name "rust-lab")
     (version "0.4.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "lab" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0h4ig5bvzmwlzd74zj7b4sh7kzi3c6mjjnw7yjz8ijxvr4mrcr1s"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "lab" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0h4ig5bvzmwlzd74zj7b4sh7kzi3c6mjjnw7yjz8ijxvr4mrcr1s"))))
     (arguments
      `(#:cargo-development-inputs
        (("rust-rand" ,rust-rand-0.3))))))
@@ -25980,25 +26182,25 @@ (define-public rust-lalrpop-0.19
     (arguments
      `(#:skip-build? #t
        #:cargo-inputs
-      (("rust-ascii-canvas" ,rust-ascii-canvas-2)
-       ("rust-atty" ,rust-atty-0.2)
-       ("rust-bit-set" ,rust-bit-set-0.5)
-       ("rust-diff" ,rust-diff-0.1)
-       ("rust-docopt" ,rust-docopt-1)
-       ("rust-ena" ,rust-ena-0.14)
-       ("rust-itertools" ,rust-itertools-0.9)
-       ("rust-lalrpop-util" ,rust-lalrpop-util-0.19)
-       ("rust-petgraph" ,rust-petgraph-0.5)
-       ("rust-regex" ,rust-regex-1)
-       ("rust-regex-syntax" ,rust-regex-syntax-0.6)
-       ("rust-serde" ,rust-serde-1)
-       ("rust-serde-derive" ,rust-serde-derive-1)
-       ("rust-sha2" ,rust-sha2-0.8)
-       ("rust-string-cache" ,rust-string-cache-0.8)
-       ("rust-term" ,rust-term-0.5)
-       ("rust-unicode-xid" ,rust-unicode-xid-0.2))
-      #:cargo-development-inputs
-      (("rust-rand" ,rust-rand-0.7))))
+       (("rust-ascii-canvas" ,rust-ascii-canvas-2)
+        ("rust-atty" ,rust-atty-0.2)
+        ("rust-bit-set" ,rust-bit-set-0.5)
+        ("rust-diff" ,rust-diff-0.1)
+        ("rust-docopt" ,rust-docopt-1)
+        ("rust-ena" ,rust-ena-0.14)
+        ("rust-itertools" ,rust-itertools-0.9)
+        ("rust-lalrpop-util" ,rust-lalrpop-util-0.19)
+        ("rust-petgraph" ,rust-petgraph-0.5)
+        ("rust-regex" ,rust-regex-1)
+        ("rust-regex-syntax" ,rust-regex-syntax-0.6)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-serde-derive" ,rust-serde-derive-1)
+        ("rust-sha2" ,rust-sha2-0.8)
+        ("rust-string-cache" ,rust-string-cache-0.8)
+        ("rust-term" ,rust-term-0.5)
+        ("rust-unicode-xid" ,rust-unicode-xid-0.2))
+       #:cargo-development-inputs
+       (("rust-rand" ,rust-rand-0.7))))
     (home-page "https://github.com/lalrpop/lalrpop")
     (synopsis "Convenient LR(1) parser generator for Rust")
     (description "LALRPOP is a Rust parser generator framework with usability
@@ -26021,25 +26223,25 @@ (define-public rust-lalrpop-0.17
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
-      (("rust-ascii-canvas" ,rust-ascii-canvas-2)
-       ("rust-atty" ,rust-atty-0.2)
-       ("rust-bit-set" ,rust-bit-set-0.5)
-       ("rust-diff" ,rust-diff-0.1)
-       ("rust-docopt" ,rust-docopt-1)
-       ("rust-ena" ,rust-ena-0.13)
-       ("rust-itertools" ,rust-itertools-0.8)
-       ("rust-lalrpop-util" ,rust-lalrpop-util-0.17)
-       ("rust-petgraph" ,rust-petgraph-0.4)
-       ("rust-regex" ,rust-regex-1)
-       ("rust-regex-syntax" ,rust-regex-syntax-0.6)
-       ("rust-serde" ,rust-serde-1)
-       ("rust-serde-derive" ,rust-serde-derive-1)
-       ("rust-sha2" ,rust-sha2-0.8)
-       ("rust-string-cache" ,rust-string-cache-0.7)
-       ("rust-term" ,rust-term-0.5)
-       ("rust-unicode-xid" ,rust-unicode-xid-0.2))
-      #:cargo-development-inputs
-      (("rust-rand" ,rust-rand-0.6))))))
+       (("rust-ascii-canvas" ,rust-ascii-canvas-2)
+        ("rust-atty" ,rust-atty-0.2)
+        ("rust-bit-set" ,rust-bit-set-0.5)
+        ("rust-diff" ,rust-diff-0.1)
+        ("rust-docopt" ,rust-docopt-1)
+        ("rust-ena" ,rust-ena-0.13)
+        ("rust-itertools" ,rust-itertools-0.8)
+        ("rust-lalrpop-util" ,rust-lalrpop-util-0.17)
+        ("rust-petgraph" ,rust-petgraph-0.4)
+        ("rust-regex" ,rust-regex-1)
+        ("rust-regex-syntax" ,rust-regex-syntax-0.6)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-serde-derive" ,rust-serde-derive-1)
+        ("rust-sha2" ,rust-sha2-0.8)
+        ("rust-string-cache" ,rust-string-cache-0.7)
+        ("rust-term" ,rust-term-0.5)
+        ("rust-unicode-xid" ,rust-unicode-xid-0.2))
+       #:cargo-development-inputs
+       (("rust-rand" ,rust-rand-0.6))))))
 
 (define-public rust-lalrpop-util-0.19
   (package
@@ -26057,11 +26259,11 @@ (define-public rust-lalrpop-util-0.19
      `(#:skip-build? #t
        #:cargo-inputs
        (("rust-regex" ,rust-regex-1))))
-  (home-page "https://github.com/lalrpop/lalrpop")
-  (synopsis "Runtime library for parsers generated by LALRPOP")
-  (description "THis package provides the runtime library for parsers
+    (home-page "https://github.com/lalrpop/lalrpop")
+    (synopsis "Runtime library for parsers generated by LALRPOP")
+    (description "THis package provides the runtime library for parsers
 generated by LALRPOP.")
-  (license (list license:asl2.0 license:expat))))
+    (license (list license:asl2.0 license:expat))))
 
 (define-public rust-lalrpop-util-0.17
   (package
@@ -26100,13 +26302,13 @@ (define-public rust-lazy-static-1
     (name "rust-lazy-static")
     (version "1.4.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "lazy_static" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0in6ikhw8mgl33wjv6q6xfrb5b9jr16q8ygjy803fay4zcisvaz2"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "lazy_static" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0in6ikhw8mgl33wjv6q6xfrb5b9jr16q8ygjy803fay4zcisvaz2"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs (("rust-spin" ,rust-spin-0.5))
@@ -26695,16 +26897,16 @@ (define-public rust-libgit2-sys-0.8
     (name "rust-libgit2-sys")
     (version "0.8.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "libgit2-sys" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0y2mibmx7wy91s2kmb2gfb29mrqlqaxpy5wcwr8s1lwws7b9w5sc"))
-        (modules '((guix build utils)))
-        (snippet
-         '(begin (delete-file-recursively "libgit2") #t))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "libgit2-sys" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0y2mibmx7wy91s2kmb2gfb29mrqlqaxpy5wcwr8s1lwws7b9w5sc"))
+       (modules '((guix build utils)))
+       (snippet
+        '(begin (delete-file-recursively "libgit2") #t))))))
 
 (define-public rust-libloading-0.7
   (package
@@ -26764,13 +26966,13 @@ (define-public rust-libloading-0.5
     (name "rust-libloading")
     (version "0.5.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "libloading" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0lyply8rcqc8agajzxs7bq6ivba9dnn1i68kgb9z2flnfjh13cgj"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "libloading" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0lyply8rcqc8agajzxs7bq6ivba9dnn1i68kgb9z2flnfjh13cgj"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -26878,27 +27080,27 @@ (define-public rust-libnghttp2-sys-0.1
     (name "rust-libnghttp2-sys")
     (version "0.1.4+1.41.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "libnghttp2-sys" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1wcd93a8cw1h9y25834160y6ng982fi0qcd277hpjvhnvz34wqh3"))
-        (modules '((guix build utils)))
-        (snippet
-         '(begin
-            (delete-file-recursively "nghttp2")
-            (substitute* "Cargo.toml"
-              (("false")
-               "false\n[build-dependencies.pkg-config]\nversion = \"0.3\"\n"))
-            (delete-file "build.rs")
-            (with-output-to-file "build.rs"
-              (lambda _
-                (format #t "fn main() {~@
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "libnghttp2-sys" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1wcd93a8cw1h9y25834160y6ng982fi0qcd277hpjvhnvz34wqh3"))
+       (modules '((guix build utils)))
+       (snippet
+        '(begin
+           (delete-file-recursively "nghttp2")
+           (substitute* "Cargo.toml"
+             (("false")
+              "false\n[build-dependencies.pkg-config]\nversion = \"0.3\"\n"))
+           (delete-file "build.rs")
+           (with-output-to-file "build.rs"
+             (lambda _
+               (format #t "fn main() {~@
                         println!(\"cargo:rustc-link-lib=nghttp2\");~@
                         }~%")))
-                 #t))))
+           #t))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -27208,18 +27410,18 @@ (define-public rust-libz-sys-1
     (name "rust-libz-sys")
     (version "1.1.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "libz-sys" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1q25cb8vs113si7q2p0innhi8jk0wpq37hqi2wcc219hcmw43cr3"))
-        (modules '((guix build utils)))
-        (snippet
-         '(begin (delete-file-recursively "src/zlib")
-                 (delete-file-recursively "src/zlib-ng")
-                 #t))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "libz-sys" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1q25cb8vs113si7q2p0innhi8jk0wpq37hqi2wcc219hcmw43cr3"))
+       (modules '((guix build utils)))
+       (snippet
+        '(begin (delete-file-recursively "src/zlib")
+                (delete-file-recursively "src/zlib-ng")
+                #t))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -27296,14 +27498,14 @@ (define-public rust-line-wrap-0.1
     (name "rust-line-wrap")
     (version "0.1.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "line-wrap" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1ffa2whkyh9mwvdlpk6v8pjkg8p8mlzyjfymq5adll9a18sl80zk"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "line-wrap" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1ffa2whkyh9mwvdlpk6v8pjkg8p8mlzyjfymq5adll9a18sl80zk"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -27321,14 +27523,14 @@ (define-public rust-link-cplusplus-1
     (name "rust-link-cplusplus")
     (version "1.0.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "link-cplusplus" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0m7365ig7r88x7b4gkzj5m7b6wiq42pi1ign7mvyq63jr22sfspr"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "link-cplusplus" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0m7365ig7r88x7b4gkzj5m7b6wiq42pi1ign7mvyq63jr22sfspr"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs (("rust-cc" ,rust-cc-1))))
@@ -27438,16 +27640,16 @@ (define-public rust-libssh2-sys-0.2
     (name "rust-libssh2-sys")
     (version "0.2.19")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "libssh2-sys" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0mkhw4pksbz7gldj8hia7k6npc479n1x09i8r0pm275sac424ina"))
-        (modules '((guix build utils)))
-        (snippet
-         '(begin (delete-file-recursively "libssh2") #t))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "libssh2-sys" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0mkhw4pksbz7gldj8hia7k6npc479n1x09i8r0pm275sac424ina"))
+       (modules '((guix build utils)))
+       (snippet
+        '(begin (delete-file-recursively "libssh2") #t))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -27544,14 +27746,14 @@ (define-public rust-locale-0.2
     (name "rust-locale")
     (version "0.2.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "locale" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1z87wc7z6889x1pqlrwjw8f1crshzi15q5m102lqs8y0m69f9nsz"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "locale" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1z87wc7z6889x1pqlrwjw8f1crshzi15q5m102lqs8y0m69f9nsz"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs (("rust-libc" ,rust-libc-0.2))))
@@ -27566,14 +27768,14 @@ (define-public rust-locale-config-0.3
     (name "rust-locale-config")
     (version "0.3.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "locale_config" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0d399alr1i7h7yji4vydbdbzd8hp0xaykr7h4rn3yj7l2rdw7lh8"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "locale_config" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0d399alr1i7h7yji4vydbdbzd8hp0xaykr7h4rn3yj7l2rdw7lh8"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -27595,14 +27797,14 @@ (define-public rust-locale-config-0.2
     (name "rust-locale-config")
     (version "0.2.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "locale-config" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0p2kdgc1c9cq5bi2rpszbhkh7pdk1fwxhij37gayb2alwkmikb3k"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "locale-config" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0p2kdgc1c9cq5bi2rpszbhkh7pdk1fwxhij37gayb2alwkmikb3k"))))
     (arguments
      `(#:cargo-inputs
        (("rust-lazy-static" ,rust-lazy-static-1)
@@ -27670,13 +27872,13 @@ (define-public rust-lock-api-0.1
     (name "rust-lock-api")
     (version "0.1.5")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "lock_api" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0b24q9mh258xa52ap636q1sxz0j5vrnp0hwbbh7ddjka3wwz3sv2"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "lock_api" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0b24q9mh258xa52ap636q1sxz0j5vrnp0hwbbh7ddjka3wwz3sv2"))))
     (arguments
      `(#:cargo-inputs
        (("rust-scopeguard" ,rust-scopeguard-0.3)
@@ -27718,13 +27920,13 @@ (define-public rust-log-0.3
     (name "rust-log")
     (version "0.3.9")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "log" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0jq23hhn5h35k7pa8r7wqnsywji6x3wn1q5q7lif5q536if8v7p1"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "log" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0jq23hhn5h35k7pa8r7wqnsywji6x3wn1q5q7lif5q536if8v7p1"))))
     (arguments
      `(#:cargo-inputs
        (("rust-log" ,rust-log-0.4))))))
@@ -27949,13 +28151,13 @@ (define-public rust-lopdf-0.26
     (name "rust-lopdf")
     (version "0.26.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "lopdf" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32 "1wqnmibs8qzi6pr3ig4h3sg6bfkkgyv4ngdng81x069725r056ml"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "lopdf" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1wqnmibs8qzi6pr3ig4h3sg6bfkkgyv4ngdng81x069725r056ml"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -28045,23 +28247,23 @@ (define-public rust-lsp-types-0.89
     (name "rust-lsp-types")
     (version "0.89.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "lsp-types" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "18h9dckjy11pz2lpd5lm12vvfcds1qg67clqalr35k2jzpnhsbl5"))))
-    (build-system cargo-build-system)
-    (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-bitflags" ,rust-bitflags-1)
-         ("rust-serde" ,rust-serde-1)
-         ("rust-serde-json" ,rust-serde-json-1)
-         ("rust-serde-repr" ,rust-serde-repr-0.1)
-         ("rust-url" ,rust-url-2))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "lsp-types" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "18h9dckjy11pz2lpd5lm12vvfcds1qg67clqalr35k2jzpnhsbl5"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-bitflags" ,rust-bitflags-1)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-serde-json" ,rust-serde-json-1)
+        ("rust-serde-repr" ,rust-serde-repr-0.1)
+        ("rust-url" ,rust-url-2))))
     (home-page "https://github.com/gluon-lang/lsp-types")
     (synopsis "Types for interaction with a language server")
     (description
@@ -28342,7 +28544,7 @@ (define-public rust-mach-o-sys-0.1
     (synopsis "Bindings to the OSX mach-o system library")
     (description "This package provides bindings to the OSX mach-o system
 library")
-  (license (list license:asl2.0 license:expat))))
+    (license (list license:asl2.0 license:expat))))
 
 (define-public rust-magic-crypt-3
   (package
@@ -28449,39 +28651,39 @@ (define-public rust-make-cmd-0.1
     (license license:expat)))
 
 (define-public rust-malloc-buf-0.0
- (package
-   (name "rust-malloc-buf")
-   (version "0.0.6")
-   (source
-    (origin
-      (method url-fetch)
-      (uri (crate-uri "malloc-buf" version))
-      (file-name
-       (string-append name "-" version ".tar.gz"))
-      (sha256
-       (base32
-        "1jqr77j89pwszv51fmnknzvd53i1nkmcr8rjrvcxhm4dx1zr1fv2"))))
-   (build-system cargo-build-system)
-   (arguments
-    `(#:cargo-inputs (("rust-libc" ,rust-libc-0.2))))
-   (home-page "https://github.com/SSheldon/malloc_buf")
-   (synopsis "Structs for handling malloc'd memory passed to Rust")
-   (description
-    "This package provides structs for handling malloc'd memory passed to Rust.")
-   (license license:expat)))
+  (package
+    (name "rust-malloc-buf")
+    (version "0.0.6")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "malloc-buf" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1jqr77j89pwszv51fmnknzvd53i1nkmcr8rjrvcxhm4dx1zr1fv2"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-libc" ,rust-libc-0.2))))
+    (home-page "https://github.com/SSheldon/malloc_buf")
+    (synopsis "Structs for handling malloc'd memory passed to Rust")
+    (description
+     "This package provides structs for handling malloc'd memory passed to Rust.")
+    (license license:expat)))
 
 (define-public rust-maplit-1
   (package
     (name "rust-maplit")
     (version "1.0.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "maplit" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "07b5kjnhrrmfhgqm9wprjw8adx6i225lqp49gasgqg74lahnabiy"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "maplit" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "07b5kjnhrrmfhgqm9wprjw8adx6i225lqp49gasgqg74lahnabiy"))))
     (build-system cargo-build-system)
     (arguments '(#:skip-build? #t))
     (home-page "https://github.com/bluss/maplit")
@@ -28496,14 +28698,14 @@ (define-public rust-markup5ever-0.10
     (name "rust-markup5ever")
     (version "0.10.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "markup5ever" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1aqxl1lsc8s6ycsw5ibwynadnb9qpiab4ggwgdq9pjlnjdk8vqxa"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "markup5ever" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1aqxl1lsc8s6ycsw5ibwynadnb9qpiab4ggwgdq9pjlnjdk8vqxa"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -28528,14 +28730,14 @@ (define-public rust-markup5ever-0.9
     (name "rust-markup5ever")
     (version "0.9.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "markup5ever" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "00wxigkiw8f777pjp7q5kfq77xpwda9zskkwp698assh8yfisf35"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "markup5ever" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "00wxigkiw8f777pjp7q5kfq77xpwda9zskkwp698assh8yfisf35"))))
     (arguments
      `(#:cargo-inputs
        (("rust-log" ,rust-log-0.4)
@@ -28568,25 +28770,25 @@ (define-public rust-markup5ever-rcdom-0.1
     (name "rust-markup5ever-rcdom")
     (version "0.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "markup5ever-rcdom" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "0axf6vrms8579lvhbjaj0v7bhs8xb7s26d4sam2g3m6qpi1xl5gh"))))
-    (build-system cargo-build-system)
-    (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-html5ever" ,rust-html5ever-0.25)
-         ("rust-markup5ever" ,rust-markup5ever-0.10)
-         ("rust-tendril" ,rust-tendril-0.4)
-         ("rust-xml5ever" ,rust-xml5ever-0.16))
-        #:cargo-development-inputs
-        (("rust-rustc-test" ,rust-rustc-test-0.3)
-         ("rust-serde-json" ,rust-serde-json-1))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "markup5ever-rcdom" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0axf6vrms8579lvhbjaj0v7bhs8xb7s26d4sam2g3m6qpi1xl5gh"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-html5ever" ,rust-html5ever-0.25)
+        ("rust-markup5ever" ,rust-markup5ever-0.10)
+        ("rust-tendril" ,rust-tendril-0.4)
+        ("rust-xml5ever" ,rust-xml5ever-0.16))
+       #:cargo-development-inputs
+       (("rust-rustc-test" ,rust-rustc-test-0.3)
+        ("rust-serde-json" ,rust-serde-json-1))))
     (home-page "https://github.com/servo/html5ever")
     (synopsis
      "Basic, unsupported DOM structure for use by tests in html5ever/xml5ever")
@@ -28600,14 +28802,14 @@ (define-public rust-match-cfg-0.1
     (name "rust-match-cfg")
     (version "0.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "match-cfg" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1r5j3zqc3qr8ybcx95bk8q57mkizmgmffj5lmicd4i8d9riyigpz"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "match-cfg" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1r5j3zqc3qr8ybcx95bk8q57mkizmgmffj5lmicd4i8d9riyigpz"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/gnzlbg/match_cfg")
     (synopsis
